Browse Source

智能语音项目初始化,完成设备的登陆、注册

yaobo 6 years ago
commit
f49ab28aa3

+ 24 - 0
.gitignore

@@ -0,0 +1,24 @@
+target/
+!.mvn/wrapper/maven-wrapper.jar
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+nbproject/private/
+build/
+nbbuild/
+dist/
+nbdist/
+.nb-gradle/

BIN
.mvn/wrapper/maven-wrapper.jar


+ 1 - 0
.mvn/wrapper/maven-wrapper.properties

@@ -0,0 +1 @@
+distributionUrl=https://repo1.maven.org/maven2/org/apache/maven/apache-maven/3.5.0/apache-maven-3.5.0-bin.zip

+ 225 - 0
mvnw

@@ -0,0 +1,225 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+  # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`which java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+echo $MAVEN_PROJECTBASEDIR
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 143 - 0
mvnw.cmd

@@ -0,0 +1,143 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%

+ 117 - 0
pom.xml

@@ -0,0 +1,117 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+
+	<groupId>cn.efunbox</groupId>
+	<artifactId>audio</artifactId>
+	<version>0.0.1-SNAPSHOT</version>
+	<packaging>jar</packaging>
+
+	<name>audio</name>
+	<description>Demo project for Spring Boot</description>
+
+	<parent>
+		<groupId>org.springframework.boot</groupId>
+		<artifactId>spring-boot-starter-parent</artifactId>
+		<version>1.5.7.RELEASE</version>
+		<relativePath/> <!-- lookup parent from repository -->
+	</parent>
+
+	<properties>
+		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
+		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
+		<java.version>1.8</java.version>
+	</properties>
+
+	<dependencies>
+		<!--  springBoot 依赖-->
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-web</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-test</artifactId>
+			<scope>test</scope>
+		</dependency>
+		<dependency>
+			<groupId>mysql</groupId>
+			<artifactId>mysql-connector-java</artifactId>
+			<version>5.1.21</version>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-data-jpa</artifactId>
+		</dependency>
+<!--		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-redis</artifactId>
+		</dependency>-->
+
+		<!--  springCloud 依赖-->
+		<dependency>
+			<groupId>org.springframework.cloud</groupId>
+			<artifactId>spring-cloud-starter-eureka</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.cloud</groupId>
+			<artifactId>spring-cloud-config-client</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.cloud</groupId>
+			<artifactId>spring-cloud-starter-config</artifactId>
+		</dependency>
+		<dependency>
+			<groupId>org.springframework.boot</groupId>
+			<artifactId>spring-boot-starter-actuator</artifactId>
+		</dependency>
+
+		<!--log 相关-->
+		<dependency>
+			<groupId>log4j</groupId>
+			<artifactId>log4j</artifactId>
+			<version>1.2.16</version>
+		</dependency>
+		<dependency>
+			<groupId>org.slf4j</groupId>
+			<artifactId>slf4j-api</artifactId>
+			<version>1.7.21</version>
+		</dependency>
+
+		<!--自动化 get set -->
+		<dependency>
+			<groupId>org.projectlombok</groupId>
+			<artifactId>lombok</artifactId>
+			<version>1.16.10</version>
+		</dependency>
+
+	</dependencies>
+
+	<dependencyManagement>
+		<dependencies>
+			<dependency>
+				<groupId>org.springframework.cloud</groupId>
+				<artifactId>spring-cloud-dependencies</artifactId>
+				<version>Brixton.RELEASE</version>
+				<type>pom</type>
+				<scope>import</scope>
+			</dependency>
+		</dependencies>
+	</dependencyManagement>
+
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.springframework.boot</groupId>
+				<artifactId>spring-boot-maven-plugin</artifactId>
+			</plugin>
+		</plugins>
+	</build>
+
+
+</project>

+ 12 - 0
src/main/java/cn/efunbox/audio/AudioApplication.java

@@ -0,0 +1,12 @@
+package cn.efunbox.audio;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+@SpringBootApplication
+public class AudioApplication {
+
+	public static void main(String[] args) {
+		SpringApplication.run(AudioApplication.class, args);
+	}
+}

+ 73 - 0
src/main/java/cn/efunbox/audio/controller/DeviceController.java

@@ -0,0 +1,73 @@
+package cn.efunbox.audio.controller;
+
+import cn.efunbox.audio.entity.Device;
+import cn.efunbox.audio.repository.DeviceRepo;
+import cn.efunbox.audio.service.DeviceService;
+import cn.efunbox.audio.util.ApiCode;
+import lombok.extern.slf4j.Slf4j;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RequestMethod;
+import org.springframework.web.bind.annotation.RequestParam;
+import org.springframework.web.bind.annotation.RestController;
+
+import javax.servlet.http.HttpServletRequest;
+import java.util.HashMap;
+import java.util.Map;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+@RestController
+@Slf4j
+@RequestMapping(value = "/device")
+public class DeviceController {
+
+    @Autowired
+    DeviceService deviceService;
+
+    @RequestMapping(value = "/login" ,method = RequestMethod.POST)
+    public Map Login(@RequestParam int id, @RequestParam String token){
+        Device device = deviceService.Login(id, token);
+        Map map = new HashMap<>();
+        if(device==null){
+            map.put("code", ApiCode.INVALID_TOKEN.getCode());
+            map.put("msg", ApiCode.INVALID_TOKEN.getCode());
+            return map;
+        }
+
+        map.put("code", ApiCode.OK.getCode());
+        Map data = new HashMap<>();
+        data.put("token", device.getTokenNew());
+        map.put("data", data);
+
+        return map;
+    }
+
+    @RequestMapping(value = "/register" ,method = RequestMethod.POST)
+    public Map Register(HttpServletRequest request){
+        String idChannel = request.getParameter("idChannel");
+        String idDevice = request.getParameter("idDevice");
+        Map map = new HashMap<>();
+        if(idChannel==null || idDevice==null){
+            map.put("code", ApiCode.PARAMETER_ERROR.getCode());
+            map.put("msg", ApiCode.PARAMETER_ERROR.getMessage());
+            return map;
+        }
+        if(deviceService.CheckRegister(idChannel, idDevice)){
+            map.put("code", ApiCode.RECORD_EXIST.getCode());
+            map.put("msg", ApiCode.RECORD_EXIST.getMessage());
+            return map;
+        }
+        Device device = deviceService.Register(idChannel, idDevice);
+        if(device!=null){
+            map.put("code", ApiCode.OK.getCode());
+            Map data = new HashMap<>();
+            data.put("token", device.getTokenNew());
+            map.put("data", data);
+        }
+
+        return map;
+    }
+
+}

+ 63 - 0
src/main/java/cn/efunbox/audio/entity/Device.java

@@ -0,0 +1,63 @@
+package cn.efunbox.audio.entity;
+
+
+import cn.efunbox.audio.enums.Status;
+import lombok.Data;
+import lombok.ToString;
+import org.hibernate.annotations.DynamicInsert;
+import org.hibernate.annotations.DynamicUpdate;
+
+import javax.persistence.*;
+import java.io.Serializable;
+import java.util.Date;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+
+
+@Data
+@ToString
+@Entity
+@Table(name = "device")
+@DynamicInsert
+@DynamicUpdate
+public class Device{
+
+    @Id
+    @GeneratedValue
+    private Long id;
+
+    @Column(name = "tokenNew")
+    private String tokenNew;
+
+    @Column
+    private String tokenOld;
+
+    @Column
+    private String idChannel;
+
+    @Column
+    private String idDevice;
+
+    @Column
+    private int status= Status.ONLINE.getCode();
+
+    @Column
+    @Temporal(TemporalType.TIMESTAMP)
+    private Date valid;
+
+    @Column
+    @Temporal(TemporalType.TIMESTAMP)
+    private Date updated;
+
+    @Column
+    @Temporal(TemporalType.TIMESTAMP)
+    private Date created;
+
+    public Object clone() throws CloneNotSupportedException {
+        return super.clone();
+    }
+
+
+}

+ 28 - 0
src/main/java/cn/efunbox/audio/enums/Status.java

@@ -0,0 +1,28 @@
+package cn.efunbox.audio.enums;
+
+import lombok.Data;
+import lombok.Getter;
+import lombok.Setter;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+public enum Status {
+    ONLINE(1,"正常,在线"),
+    OFFLINE(-1,"异常下线");
+    private int code=1;
+    private String msg = "";
+
+    Status(int code, String msg){
+        this.code = code;
+        this.msg = msg;
+    }
+
+    public int getCode(){
+        return code;
+    }
+
+    public String getMsg(){
+        return msg;
+    }
+}

+ 66 - 0
src/main/java/cn/efunbox/audio/impl/DeviceServiceImpl.java

@@ -0,0 +1,66 @@
+package cn.efunbox.audio.impl;
+
+import cn.efunbox.audio.entity.Device;
+import cn.efunbox.audio.repository.DeviceRepo;
+import cn.efunbox.audio.service.DeviceService;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.stereotype.Service;
+
+import java.util.Date;
+import java.util.List;
+import java.util.UUID;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+@Service
+public class DeviceServiceImpl implements DeviceService {
+
+    @Autowired
+    DeviceRepo deviceRepo;
+
+    @Override
+    public boolean CheckRegister(String idChannel, String idDevice){
+        List<Device> list = deviceRepo.findByChannelDevice(idChannel, idDevice);
+        if(list.size()>0)
+            return true;
+        else
+            return false;
+    }
+
+    @Override
+    public Device Register(String idChannel, String idDevice){
+        if(this.CheckRegister(idChannel, idDevice))
+            return null;
+
+        Device device = new Device();
+        device.setIdChannel(idChannel);
+        device.setIdDevice(idDevice);
+        device.setCreated(new Date());
+        device.setUpdated(new Date());
+        device.setTokenOld(device.getTokenNew());
+        device.setTokenNew(UUID.randomUUID().toString().replaceAll("-", ""));
+        device = deviceRepo.save(device);
+
+        return device;
+    }
+
+    @Override
+    public Device Login(int id, String token){
+        Device device = deviceRepo.findById(id);
+        if(device==null)
+            return null;
+        if(false == device.getTokenNew().equalsIgnoreCase(token)
+                && false == device.getTokenOld().equalsIgnoreCase(token))
+            return null;
+        if(device.getTokenNew().equalsIgnoreCase(token)){
+            device.setTokenOld(device.getTokenNew());
+            device.setTokenNew(UUID.randomUUID().toString().replaceAll("-", ""));
+        }
+        device.setUpdated(new Date());
+        deviceRepo.save(device);
+
+        return device;
+    }
+
+}

+ 28 - 0
src/main/java/cn/efunbox/audio/repository/DeviceRepo.java

@@ -0,0 +1,28 @@
+package cn.efunbox.audio.repository;
+
+import cn.efunbox.audio.entity.Device;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.data.jpa.repository.Query;
+import org.springframework.data.repository.query.Param;
+import org.springframework.stereotype.Repository;
+
+import java.util.List;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+@Repository
+public interface DeviceRepo extends JpaRepository<Device, Long> {
+
+    Device findById(int id);
+
+    @Query("from Device d where d.idDevice=:idDevice")
+    List<Device> findByDevice(@Param("idDevice")String idDevice);
+
+    @Query("from Device d where d.idChannel=:idChannel")
+    List<Device> findByChannel(@Param("idChannel")String idChannel);
+
+    @Query("from Device d where d.idChannel=:idChannel and d.idDevice=:idDevice")
+    List<Device> findByChannelDevice(@Param("idChannel")String idChannel, @Param("idDevice")String idDevice);
+
+}

+ 16 - 0
src/main/java/cn/efunbox/audio/service/DeviceService.java

@@ -0,0 +1,16 @@
+package cn.efunbox.audio.service;
+
+import cn.efunbox.audio.entity.Device;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+public interface DeviceService {
+
+    public boolean CheckRegister(String idChannel, String idDevice);
+
+    public Device Register(String idChannel, String idDevice);
+
+    public Device Login(int id, String token);
+
+}

+ 31 - 0
src/main/java/cn/efunbox/audio/util/AbstractApiCode.java

@@ -0,0 +1,31 @@
+package cn.efunbox.audio.util;
+
+import java.io.Serializable;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+
+public abstract class AbstractApiCode implements Serializable {
+    private int code;
+    private String message;
+    private final AbstractApiCode display;
+
+    protected AbstractApiCode(int code, String messasge) {
+        this.code = code;
+        this.message = messasge;
+        this.display = this;
+    }
+
+    public int getCode() {
+        return this.code;
+    }
+
+    public String getMessage() {
+        return this.message;
+    }
+
+    public AbstractApiCode getDisplay() {
+        return this.display;
+    }
+}

+ 39 - 0
src/main/java/cn/efunbox/audio/util/ApiCode.java

@@ -0,0 +1,39 @@
+package cn.efunbox.audio.util;
+
+/**
+ * Created by yao on 17-9-26.
+ */
+
+public class ApiCode extends AbstractApiCode {
+    public static final int _C_OK = 200;
+    public static final ApiCode OK = new ApiCode((String)null, 200);
+    public static final int _C_NOT_FOUND = 404;
+    public static final ApiCode NOT_FOUND = new ApiCode("请求资源不存在", 404);
+    public static final int _C_UNKNOWN_ERROR = 500;
+    public static final ApiCode UNKNOWN_ERROR = new ApiCode("服务端内部错误", 500);
+    public static final int _C_SERVER_ERROR = 500;
+    public static final ApiCode SERVER_ERROR = new ApiCode("网络正忙,请稍后再试......", 500);
+    public static final int _C_PARAMETER_ERROR = 400;
+    public static final ApiCode PARAMETER_ERROR = new ApiCode("参数错误", 400);
+    public static final int _C_UNAUTHORIZED = 401;
+    public static final ApiCode UNAUTHORIZED = new ApiCode("未认证", 401);
+    public static final int _C_INVALID_TOKEN = 402;
+    public static final ApiCode INVALID_TOKEN = new ApiCode("无效的Token", 402);
+    public static final int _C_ACCESS_DENIED = 403;
+    public static final ApiCode ACCESS_DENIED = new ApiCode("访问被拒绝", 403);
+    public static final int _C_SIGNATURE_ERROR = 510;
+    public static final ApiCode SIGNATURE_ERROR = new ApiCode("签名错误", 510);
+    public static final int _C_API_UPGRADE = 520;
+    public static final ApiCode API_UPGRADE = new ApiCode("接口已升级", 520);
+    public static final int _C_APPID_NOT_EXIST = 530;
+    public static final ApiCode APPID_NOT_EXIST = new ApiCode("应用id不存在", 530);
+    public static final int _C_RECORD_EXIST = 531;
+    public static final ApiCode RECORD_EXIST = new ApiCode("记录已存在", 531);
+    public static final int _C_PARAMETER_INVALID = 540;
+    public static final ApiCode PARAMETER_INVALID = new ApiCode("参数验证不通过", 540);
+
+    protected ApiCode(String message, int code) {
+        super(code, message);
+    }
+}
+

+ 6 - 0
src/main/resources/application.properties

@@ -0,0 +1,6 @@
+spring.datasource.url=jdbc:mysql://localhost:3306/efunbox_audio
+spring.datasource.username=root
+spring.datasource.password=223732
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
+
+spring.jpa.properties.hibernate.hbm2ddl.auto=update

+ 42 - 0
src/test/java/cn/efunbox/audio/AudioApplicationTests.java

@@ -0,0 +1,42 @@
+package cn.efunbox.audio;
+
+import cn.efunbox.audio.entity.Device;
+import cn.efunbox.audio.service.DeviceService;
+import cn.efunbox.audio.util.ApiCode;
+import org.junit.Test;
+import org.junit.runner.RunWith;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.boot.test.context.SpringBootTest;
+import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
+
+import java.util.HashMap;
+import java.util.Map;
+import java.util.UUID;
+
+@RunWith(SpringJUnit4ClassRunner.class)
+@SpringBootTest
+public class AudioApplicationTests {
+
+	@Autowired
+	private DeviceService deviceService;
+
+	@Test
+	public void contextLoads() {
+		for(int i=0;i<10;i++){
+			String uuid = UUID.randomUUID().toString().replaceAll("-", "");
+			System.out.println(uuid);
+		}
+	}
+
+	@Test
+	public void register(){
+		Device device = deviceService.Register("1", "1");
+		if(device==null){
+			System.out.println("fail to register");
+			return;
+		}
+		System.out.println(device.toString());
+
+	}
+
+}